Lazarus(1)

NAME
Lazarus - is a Rapid Application Development (RAD) for the Free Pascal Compiler (FPC) including an Integrated Development Environment (IDE).

SYNOPSIS
lazarus

DESCRIPTION
This binary is an integrated development environment for the Free Pascal Compiler (FPC) which is an advanced Turbo Pascal and Delphi (7.0) compatible multi-target Pascal compiler.

The IDE uses FPC(1)

The current main supported targets are Linux, MacOSX, Freebsd, and Windows. The other targets are either based on older versions of the compiler or are still in development.

This manpage is meant for quick-reference only. Lazarus comes with an online manual, which is updated constantly, while this man page can be out of date.

Usage
The user interface of the IDE has been designed to be similar to Delphi. It provides the user with a user friendly, but rather powerful editor, a form editor, an extensive on-line help system and a debugger. A windowing system is the base of the user interface. The user will usually open a few text editor windows in which he will design his program, during which he can regularly check and debug through the use of hot keys. The high speed of the compiler ensures that programmers can do this often and therefore allows speedy development of code.

Help files
No help files are provided by default. The user must download the Lazarus and Free Pascal documentation in HTML format and install it into the IDE using the Help->Configure Help. Files can also be installed in this menu and can be useful for source code that ships with HTML files as documentation.

AUTHORS
Lazarus development team (see http://lazarus.freepascal.org )

SEE ALSO
fpc(1) startlazarus(1) lazbuild(1)